Name:           php-ltb-project-ldap
Version:        0.1.0
Release:        1%{?dist}
Summary:        PHP library to share code between LTB applications
License:        GPL-3.0-only
URL:            https://github.com/ltb-project/ltb-ldap
Source0:        %{url}/archive/v%{version}/ltb-ldap-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  php-ldap
Requires:       php >= 7.4.0
Requires:       php-ldap
Requires:       php-phpmailer6

Provides:       php-composer(ltb-project/ldap) = %{version}


%description
This is a PHP library to share code between LTB applications like
Self Service Password, White Pages, Service Desk, ...


%prep
%autosetup -n ltb-ldap-%{version}


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_datadir}/php/
cp -a src/Ltb %{buildroot}%{_datadir}/php/


%files
%license LICENSE
%doc README.md
%doc composer.json
%{_datadir}/php/Ltb


%changelog
* Wed Nov 08 2023 Xavier Bachelot <xavier@bachelot.org> - 0.1.0-1
- Initial build.
